Post by frameyourbag » Sat Sep 24, 2022 9:53 pm

Hello guys,

I was testing making a new Opencart website.
Opencart Version: 4.0.1.1
Theme/Template: Original
No additional Extensions installed a part of the ones that come from scratch
No translations installed

When a registered user is logged in, and want's to proceed with an order on checkout if the option "I want use an existing address" is selected on both Payment Address and Shipping Address and no address is selected, just leave it as " -- Please Select -- " and it allows the customer to still checkout the order.
The confirm order bottom is still available to click, and is possible to click and if click there the order will be placed.
I guess this is a major issue on shipping part, since customers will be able to place order without inform the shipping address. ???

Thank you!
Stay safe!

Newbie

Posts

Joined
Sat Sep 24, 2022 9:45 pm

Post by frameyourbag » Sat Sep 24, 2022 10:00 pm

Sorry forgot the PHP Version: 8.0

Newbie

Posts

Joined
Sat Sep 24, 2022 9:45 pm

Post by Johnathan » Sun Sep 25, 2022 9:36 am

OpenCart 4.0 is not ready for live stores yet. 4.0.1.1 is still a bit buggy, so I would recommend using 3.0.3.8 if you're planning on starting a store soon.

If not, then you can report this bug into the github issues area, and then wait for 4.0.2.0. It should hopefully be fixed in the next release.

Image
Image Image Image Image


User avatar
Administrator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by frameyourbag » Mon Sep 26, 2022 5:01 pm

Thanks!
I just informed on github the bugs.
I hope beginning of next year have the website on production, so i have some time yet. ;D

Newbie

Posts

Joined
Sat Sep 24, 2022 9:45 pm

Post by teamfunnels » Mon Dec 19, 2022 10:40 am

This is the first time I've ever seen a community recommend not using a current release that is featured on the home page.

Newbie

Posts

Joined
Fri Oct 02, 2020 6:23 am

Post by OSWorX » Mon Dec 19, 2022 4:05 pm

teamfunnels wrote:
Mon Dec 19, 2022 10:40 am
This is the first time I've ever seen a community recommend not using a current release that is featured on the home page.
Well, the "community" works with the versions and therefore know which one should be used.

Full Stack Web Developer :: Dedicated OpenCart Development & Support DACH Region
Contact for Custom Work / Fast Support.


User avatar
Guru Member

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria
Who is online

Users browsing this forum: No registered users and 2 guests